Catalog API Documentation

Browse endpoints, parameters, and live request examples.

GET /sockets/{socket_id}/cart/{external_user_id}

View cart contents

Retrieves the current contents of a user’s cart.

Cart

Parameters

socket_id required path (integer)

Socket identifier

external_user_id required path (string)

External user identifier

matched_entities query (boolean)

Include matched_entities with category, tag, and brand details for all items in the cart

Responses

200 Cart contents retrieved successfully
Example Response
{
  "cart": {
    "address_1": null,
    "address_2": null,
    "address_3": null,
    "address_4": null,
    "cart_version": "550e8400-e29b-41d4-a716-446655440010",
    "city": null,
    "country": null,
    "currency": "USD",
    "email": null,
    "given_name": null,
    "is_locked": false,
    "line_items": [
      {
        "product_options": {},
        "points": 2616,
        "is_explicit": false,
        "category_ids": [
          201,
          202
        ],
        "retail_price": "349.99",
        "item_type_id": 1,
        "availability": "IN_STOCK",
        "tag_ids": [
          101,
          102,
          103
        ],
        "sku": "OGP-JACKET-001-M-NAVY",
        "is_stock_reserved": false,
        "stock_reserved_until": null,
        "description": "Professional-grade outdoor jacket designed for all weather conditions",
        "name": "All-Weather Outdoor Jacket",
        "brand_id": 123,
        "is_taxable": true,
        "catalog_item_variant_id": null,
        "external_product_id": "3ddd1114-1114-1114-1114-111411141114",
        "price": "261.58",
        "tags": [
          "outdoor",
          "jacket",
          "weather-resistant"
        ],
        "model": "JACKET-001",
        "images": [
          {
            "alt": "All-Weather Outdoor Jacket - Front View",
            "is_primary": true,
            "order": 1,
            "urls": {
              "image_150_1_1": "https://cdn.example.com/img/150/jacket-front.jpg",
              "image_150_3_2": "https://cdn.example.com/img/150c/jacket-front.jpg",
              "image_300_1_1": "https://cdn.example.com/img/300/jacket-front.jpg",
              "image_300_3_2": "https://cdn.example.com/img/300c/jacket-front.jpg",
              "image_500_1_1": "https://cdn.example.com/img/500/jacket-front.jpg",
              "image_500_3_2": "https://cdn.example.com/img/500c/jacket-front.jpg",
              "image_75_1_1": "https://cdn.example.com/img/75/jacket-front.jpg",
              "image_75_3_2": "https://cdn.example.com/img/75c/jacket-front.jpg"
            }
          }
        ],
        "errors": [],
        "available": true,
        "shipping_estimate": "7.99",
        "rank": 1,
        "original_points": 3000,
        "brand": "OutdoorGearPro",
        "fulfillment_type": "SHIP",
        "is_primary": true,
        "options": [],
        "product_id": "PROD-456",
        "catalog_item_id": 10000013,
        "supplier_reference_id": "OGP-JACKET-001",
        "is_available": true,
        "metadata": {
          "cost_center": "WEf333-001",
          "manager_id": "2938749823670"
        },
        "required_fields": {
          "address_1": true,
          "address_2": false,
          "address_3": false,
          "address_4": false,
          "city": true,
          "country": true,
          "email": false,
          "given_name": true,
          "phone_number": false,
          "postal_code": true,
          "state_or_region": true,
          "surname": true
        },
        "supplier_id": 789,
        "line_item_id": "550e8400-e29b-41d4-a716-446655440001",
        "is_limited_stock": false,
        "original_price": "299.99"
      }
    ],
    "metadata": {},
    "phone_number": null,
    "postal_code": null,
    "state_or_region": null,
    "surname": null,
    "total": "571.66",
    "total_line_items": 2,
    "unique_item_count": 1
  },
  "errors": [],
  "success": true,
  "timestamp": "2023-12-01T15:30:45.123Z"
}
Response Schema
Schema Reference:

Response containing the current state of a user's cart

Type: object
Required fields:
success timestamp cart

Properties:

cart ref: Cart required
errors
matched_entities
success required
timestamp required
404 Socket or cart not found
Example Response
{
  "error_code": "NOT_FOUND",
  "message": "The requested resource was not found.",
  "success": false,
  "timestamp": "2023-12-01T15:30:45.123Z"
}
Response Schema
Schema Reference:

Error response when requested resource is not found

Type: object
Required fields:
success message timestamp error_code

Properties:

error_code required
message required
success required
timestamp required